local bump = require 'lib/bump'
require "player"
require "world"
require "controls"

gamestate = "active"

--BUMP LIB
cols_len = 0
world = bump.newWorld()


-- Main LÖVE functions
function love.load()
  love.window.setMode(game.windowSize.width,game.windowSize.height)
  love.graphics.setBackgroundColor(0,0,0)
  math.randomseed(os.time())
  --LOAD CANVAS
  canvas01 = love.graphics.newCanvas(game.windowSize.width,game.windowSize.height, hdr, 16)
  canvas01:setFilter("linear","linear",16)
  --LOAD SHIT
  WORLD_LOAD()
  PLAYER_LOAD()
end

function love.update(dt)
  cols_len = 0
  PLAYER_UPDATE(dt)
end

function love.draw()
  if gamestate == "active" then
    WORLD_DRAW()
    love.graphics.setCanvas(canvas01)
    love.graphics.clear()
    love.graphics.print(cols_len,200,200)
    love.graphics.print(player.y,200,100)
    PLAYER_DRAW()
    love.graphics.setCanvas()
    love.graphics.setBlendMode("alpha", "premultiplied")
    love.graphics.draw(canvas01)
    love.graphics.setBlendMode("alpha")
  end
end
