--VITAL LOVE FUNCTIONS TO TIDY THINGS UP
--LOAD THE PLAYER AND ADD TO THE WORLD
function PLAYER_LOAD()
  --DEFINE PLAYER VARIABLES
  player = {}
  player.x = 50
  player.y = 50
  player.w = 40
  player.h = 55
  player.speed = 2800
  player.xvel = 0
  player.yvel = 0
  player.friction = 6
  player.maxJump = 20000
  player.onGround = false
  player.gravity = physicalWorld.gravity
  -- USE BUMP TO ADD THE MOTHERCUCKER
  world:add(player, player.x, player.y, player.w, player.h)
end

function PLAYER_UPDATE(dt)
  updatePlayer(dt)
  jumpPlayer(dt)
end

function PLAYER_DRAW()
  drawPlayer()
end
--LEAVING THE VITAL LOVE FUNCTIONS ENTERING THE MEAT OF THAT SHIT

function updatePlayer(dt)
  --VELOCITY
  player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
  player.yvel = player.yvel + player.gravity * (1 - math.min(dt*player.friction, 1)) * dt
  --KEYPRESSES
  if love.keyboard.isDown(controls.right) and player.xvel < player.speed then
    player.xvel = player.xvel + player.speed * dt
  end

  if love.keyboard.isDown(controls.left) and player.xvel > -player.speed then
    player.xvel = player.xvel - player.speed * dt
  end

  if player.xvel ~= 0 or player.yvel ~= 0 then
    player.x, player.y, cols, cols_len = world:move(player, player.x + player.xvel * dt, player.y + player.yvel * dt)
  end
end

function jumpPlayer(dt)

  for i=1,cols_len do
    player.yvel = 0
  end

  if love.keyboard.isDown(controls.jump) and player.yvel == 0 then
    player.yvel = -player.maxJump * dt
    player.onGround = false
  elseif player.yvel == 0 then
    player.onGround = true

  end
--[[
  if player.yvel > 0 then
    player.height = player.height + 1
    player.width = player.width - 0.35

  elseif player.y == player.TEMPGROUND and player.height < 55 and player.width > 40 then
    player.height = player.height - 2.5
    player.width = player.width + 3

  elseif player.y == player.TEMPGROUND and player.yvel == 0 then
    player.width = 40
    player.height = 55
end
--]]
end

--PLAYER FUNCTIONS
function composePlayer(box, r,g,b)
  love.graphics.setColor(r,g,b)
  love.graphics.rectangle("fill", box.x, box.y, box.w, box.h,15,15)
end

function drawPlayer()
  composePlayer(player, 255, 32, 61)
end
